<?php

/**
 * Plugin Name: BrewPixel WC Custom Product Bundles
 * Plugin URI: https://brewpixel.com/plugins/brewpixel-wc-custom-product-bundles
 * Original Plugin URI: https://www.wisdmlabs.com/assorted-bundles-woocommerce-brewpixel-wc-custom-product-bundles-plugin/
 * Description: The BrewPixel WC Custom Product Bundles is an extension for your WooCommerce store, using which, your customers will be able to select products, and create and purchase their own personalized bundles.
 * Version: 3.0.1.2
 * Author: Martin Goldie
 * Original Author: WisdmLabs
 * Author URI: https://brewpixel.com/
 * Original Author URI: http://www.wisdmlabs.com
 * Text Domain: brewpixel-wc-custom-product-bundles
 * Domain Path: /languages/
 * License: GPL
 * WC requires at least: 3.0.0
 * WC tested up to: 3.6.4
*/

// @TODO: Prevent cart checkout while updating shipping total
// @TODO: Eventually show price on others.
// @TODO: Fully remove license.

if (!defined('ABSPATH')) {
    exit;
} // Exit if accessed directly

// Define plugin constants
//constant version


define('CPB_VERSION', '3.0.1.4');
if (!defined('EDD_WCPB_ITEM_NAME')) {
    define('EDD_WCPB_ITEM_NAME', 'BrewPixel WC Custom Product Bundles');
}

if (!defined('DOING_CRON')) {
    session_start();
}

require_once('includes/wdm-cpb-function.php');

//Install tables associated with plugin
include('includes/class-wdm-cpb-install.php');
register_activation_hook(__FILE__, array('wisdmlabs\cpb\WdmCpbInstall', 'createTables'));
add_action('upgrader_process_complete', 'pluginUpdate', 10, 2);

add_action('plugins_loaded', 'cpbLoadLicense', 99);

if (! function_exists('cpbLoadLicense')) {
    function cpbLoadLicense()
    {
        if (!defined('WC_VERSION')) {
            add_action('admin_notices', 'cpb_addon_base_plugin_inactive_notice');
        } else {
            require_once('admin/class-wdm-search-addon-product.php');
            if (is_admin()) {
                //Includes the installation functions for CPB.
                new \wisdmlabs\cpb\JsonProductSearch();
            }
            global $cpbPluginData;
            $cpbPluginData = include_once('license.config.php');
            require_once 'licensing/class-wdm-license.php';
            new \Licensing\WdmLicense($cpbPluginData);

            $getDataFromDb = \Licensing\WdmLicense::checkLicenseAvailiblity($cpbPluginData['pluginSlug']);

            if ($getDataFromDb != 'available') {
                return;
            }

            include_once('class-wdm-cpb.php');
            $GLOBALS[ 'woo_wdm_bundle' ]  = new \wisdmlabs\cpb\WdmProductBundleMain();
        }
    }
}

function pluginUpdate($upgraderObject, $options)
{
    unset($upgraderObject); //unsed
    $current_plugin_pathname = plugin_basename(__FILE__);

    if ($options['action'] == 'update' && $options['type'] == 'plugin') {
        foreach ($options['plugins'] as $eachPlugin) {
            if ($eachPlugin == $current_plugin_pathname) {
                \wisdmlabs\cpb\WdmCpbInstall::createTables();
            }
        }
    }
}

// Include WisdmAdPackage
if (is_admin() || defined('DOING_CRON')) {
    include_once('WisdmAdPackage.php');
    $WisdmAdPackage = \WisdmAd\WisdmAdPackage::getInstance();
}

function brewpixel_non_org_repo_update_plugin( $r, $url ) {
	if ( 0 !== strpos( $url, 'http://api.wordpress.org/plugins/update-check' ) ) {
		return $r; // Not a plugin update request. Bail immediately.
	}

	$plugins = unserialize( $r['body']['plugins'] );
	unset( $plugins->plugins[ plugin_basename( __FILE__ ) ] );
	unset( $plugins->active[ array_search( plugin_basename( __FILE__ ), $plugins->active ) ] );
	$r['body']['plugins'] = serialize( $plugins );
	return $r;
}

add_filter( 'http_request_args', 'brewpixel_non_org_repo_update_plugin', 5, 2 );
