<?php
namespace wisdmlabs\cpb;

/**
 * Personal data exporters.
 *
 * @since 6.2.0
 */
defined('ABSPATH') || exit;

/**
 * WC_Privacy_Exporters Class.
 */
class CpbPrivacyExporters
{
    /**
     * Finds and exports Enquiry data by email address.
     *
     * @since 6.2.0
     *
     * @param string $email_address The user email address.
     * @param int    $page          Page.
     *
     * @return array An array of personal data in name value pairs
     */
    public static function cpbGetGiftMsg($personalData, $order)
    {
        if (!get_option('_wdmcpb_anonymize_mgs') || get_option('_wdmcpb_anonymize_mgs') == 'off') {
            return $personalData;
        }

        $existingLabels = getExistingMsgLabels();

        foreach ($order->get_items() as $item_id => $value) {
            $valueArraya = $value->get_data();
            $productID = $valueArraya['product_id'];
            $msgEnabled = get_post_meta($productID, '_wdm_enable_gift_message', true);

            if ("yes" != $msgEnabled) {
                continue;
            }

            $product = isset($valueArraya['product_id']) ? wc_get_product($productID) : "";
            if ($product->get_type() == 'wdm_bundle_product') {
                $metaKey = get_post_meta($productID, '_wdm_gift_message_label', true);
                foreach ($value->get_data()['meta_data'] as $key1 => $value1) {
                    $metaData = $value1->get_data();
                    if ($metaData['key'] == 'wdm_giftmsg_key') {
                        $cpbPersonalData = array("name"=> $metaKey, "value" => $metaData['value']);
                        array_push($personalData, $cpbPersonalData);
                    } elseif (in_array($metaData['key'], $existingLabels)) {
                        $cpbPersonalData = array("name"=> $metaData['key'], "value" => $metaData['value']);
                        array_push($personalData, $cpbPersonalData);
                    }
                }
            }
            unset($item_id);
            unset($key1);
        }
        return $personalData;
    }
}
