<?php
?>
<form method="post" id="mainform" action="" enctype="multipart/form-data">
<div class="wrap">
    <h2 class = 'cpb-header'><?php _e('General Settings', 'brewpixel-wc-custom-product-bundles') ?></h2>
    <table class = 'form-table' id = "cpb-settings-table">
        <tbody>
            <tr valign="top" class="grand_total">
                <th scope="row" class="titledesc">
                    <label for="_grand_total_label">
                        <?php _e('Grand Total Label', 'brewpixel-wc-custom-product-bundles'); ?>
                    </label>
                </th>
                <td class="forminp forminp-text">
                    <?php echo \cpbHelpTip(__('Label for total price of box.', 'brewpixel-wc-custom-product-bundles'), true); ?>
                    <input 
                        name="_grand_total_label"
                        id="_grand_total_label"
                        type="text"
                        style="min-width:50px;"
                        value="<?php echo get_option('_grand_total_label'); ?>"
                        class=""
                        placeholder="Grand Total"
                    />
                </td>
            </tr>
            <tr valign="top" class="gift_box_total">
                <th scope="row" class="titledesc"><?php _e('Show Box Total', 'brewpixel-wc-custom-product-bundles'); ?></th>
                <td class="forminp forminp-checkbox">
                    <?php echo \cpbHelpTip(__('Displays the price of the box elements which will be added to the grand total price. If enabled, the label will be shown below the product.', 'brewpixel-wc-custom-product-bundles'), true); ?>
                    <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php _e('Show Box Total', 'brewpixel-wc-custom-product-bundles'); ?></span>
                        </legend>
                        <label for="_wdm_enable_giftbox_total">
                            <input name="_wdm_enable_giftbox_total" id="_wdm_enable_giftbox_total" type="checkbox" class="" <?php checked('on', get_option('_wdm_enable_giftbox_total'), true); ?> /> 
                            <?php //_e('If enabled shows Box Total below the product.', 'brewpixel-wc-custom-product-bundles'); ?>
                        </label>
                        <p class="description">
                        </p>
                    </fieldset>
                </td>
            </tr>
            <tr valign="top" class="gift_box_total_hide">
                <th scope="row" class="titledesc">
                    <label for="_giftbox_total_label">
                        <?php _e('Box total label', 'brewpixel-wc-custom-product-bundles'); ?>
                    </label>
                </th>
                <td class="forminp forminp-text">
                    <?php echo \cpbHelpTip(__('Label for Box total.', 'brewpixel-wc-custom-product-bundles'), true); ?>
                    <input 
                        name="_giftbox_total_label"
                        id="_giftbox_total_label"
                        type="text"
                        style="min-width:50px;"
                        value="<?php echo get_option('_giftbox_total_label'); ?>"
                        class=""
                        placeholder="Box Total"
                    />
                </td>
            </tr>
            <tr valign="top" class="add_box_charges">
                <th scope="row" class="titledesc"><?php _e('Enable Additional Box Charges Total', 'brewpixel-wc-custom-product-bundles'); ?></th>
                <td class="forminp forminp-checkbox">
                    <?php echo \cpbHelpTip(__('Displays the charges for the box if applicable.  If enabled, the label will be shown below the product.', 'brewpixel-wc-custom-product-bundles'), true); ?>
                    <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php _e('Show Box Charges', 'brewpixel-wc-custom-product-bundles'); ?></span>
                        </legend>
                        <label for="_wdm_enable_addbox_total">
                            <input name="_wdm_enable_addbox_total" id="_wdm_enable_addbox_total" type="checkbox" class="" <?php checked('on', get_option('_wdm_enable_addbox_total'), true); ?> /> 
                            <?php //_e('If enabled shows Additional Box Charges Total below the product.', 'brewpixel-wc-custom-product-bundles'); ?>
                        </label>
                        <p class="description">
                        </p>
                    </fieldset>
                </td>
            </tr>
            <tr valign="top" class="add_box_charges_hide">
                <th scope="row" class="titledesc">
                    <label for="_addbox_total_label">
                        <?php _e('Addition Box Charges Total Label', 'brewpixel-wc-custom-product-bundles'); ?>
                    </label>
                </th>
                <td class="forminp forminp-text">
                    <?php echo \cpbHelpTip(__('Label for box charges if applicable.', 'brewpixel-wc-custom-product-bundles'), true); ?>
                    <input 
                        name="_addbox_total_label"
                        id="_addbox_total_label"
                        type="text"
                        style="min-width:50px;"
                        value="<?php echo get_option('_addbox_total_label'); ?>"
                        class=""
                        placeholder="Additional Box Charges"
                    />
                </td>
            </tr>
            <tr valign="top" class="cpb_hide_stock_msg">
                <th scope="row" class="titledesc"><?php _e('Hide stock message', 'brewpixel-wc-custom-product-bundles'); ?></th>
                <td class="forminp forminp-checkbox">
                    <?php echo \cpbHelpTip(__('Hides the stock message from the add-on products', 'brewpixel-wc-custom-product-bundles'), true); ?>
                    <fieldset>
                        <legend class="screen-reader-text">
                            <span><?php _e('Hide stock message', 'brewpixel-wc-custom-product-bundles'); ?></span>
                        </legend>
                        <label for="_wdm_hide_stock">
                            <input name="_wdm_hide_stock" id="_wdm_hide_stock" type="checkbox" class="" <?php checked('on', get_option('_wdm_hide_stock'), true); ?> /> 
                            <?php //_e('Hides the stock message from the add-on products', 'brewpixel-wc-custom-product-bundles'); ?>
                        </label>
                        <p class="description">
                        </p>
                    </fieldset>
                </td>
            </tr>
        </tbody>
    </table>
    <?php do_action('wdm_show_privacy_settings'); ?>
    <p class="submit">
        <button name="save" class="button-primary woocommerce-save-button" type="submit" value="Save changes">
        <?php _e('Save changes', 'brewpixel-wc-custom-product-bundles'); ?>
        </button>
        <?php
        wp_nonce_field('cpb_settings_action', 'cpb_settings_field');
        ?>
    </p>
</div>
</form>
